function inout = cell2double(inout)
%function inout = cell2double(inout)
%converts an cell array of doubles to a double array
%INPUT 
%inout = cell array of doubles 
%OUTPUT
%inout = array of double
%
%Written by K. Steffen (ksteffen@unm.edu) at the University of New Mexico,
%Department of Earch and Planetary Science
%Copyright 2003 Kurt Steffen
%
%Last Modified June 13, 2003

[row col] = size(inout);
inouttemp = zeros(row,col);
for k = 1:row
    for m = 1:col
        temp = inout{k,m};
        
        if ischar(temp)
            
        elseif ~isempty(temp) | isfinite(temp)
            inouttemp(k,m) = temp;
        end
    end
end
inout = inouttemp;